It will be great if we can find which version of expo SDK supports which react-native version. I have 4 project each with different expo sdk version due to some unavoidable reason.

http://facebook.github.io/react-native/versions

Something similar to this page but also with the expo sdk version support.